﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Calculating Actual vs Potential SOD Violations</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Calculating Actual vs Potential SOD Violations</h1>
        <p>The SOD violation which is caused due to one or more conflicting entitlements and the concerned user is found to be using the conflicting set in relevant applications is called actual SOD violations. The SOD violation which is caused due to allocation of one or more entitlements but the concerned user is not found to be using any of the conflicting set in the relevant applications is called potential SOD violation.</p>
        <p>When we import usage data from usage tables of SAP (SWNCMONIINDEX), IGA stores the start date and end date in the format '0000-00-00 00:00:00' due to which&#160;Actual vs Potential calculation&#160;fails. From 5.5 SP3 onwards, you can check the data by running the following query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select * from entitlement_usage where enddate = '0000-00-00 00:00:00';   </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <p class="auto-cursor-target">To fix the data, run the following query as a&#160;custom query and schedule a trigger chain with the SAP imports.</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">update entitlement_usage set enddate = startdate where enddate = '00-00-00 00:00:00';    </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <p class="auto-cursor-target">Validation Steps:</p>
        <p>To validate the data, run the following query again and it should give 0 records:&#160;</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select * from entitlement_usage where enddate = '0000-00-00 00:00:00'    </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <p>From the SOD Violation workbench, click <strong>Calculate Actual vs Potential</strong>. The page displays both the actual as well as the potential data.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">When there is a lot of Usage data, clicking the Actual vs Potential button in the SOD Violations list page may time-out and fail to update whether the SOD violation is a Potential or Actual violation. Since the usage period stores the usage value based on a day, monthly, and weekly basis, calculating the actual vs potential violations against these data sets were taking more time. To overcome such scenarios, the Consolidate Usage (AccEntUsageConsolidateJob) from the Job Control Panel can be run so that the usage period of a day and week is compressed to usage period of a month . For more information on Consolidate Usage (AccEntUsageConsolidateJob), click <MadCap:xref href="../Chapter10-Managing-Jobs-Using-Job-Control-Panel/Job-Categories-for-Flat-Job-Control-Panel.htm">Job Categories for Flat Job Control Panel</MadCap:xref>.</p>
        </div>
    </body>
</html>